intern-0.9.5: Efficient hash-consing for arbitrary data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Interned.Internal.ByteString

# Documentation

data InternedByteString Source #

Constructors

InternedByteString |

Fields

- internedByteStringId :: !Id
- uninternByteString :: !ByteString

#### Instances

Instances details

IsString InternedByteString Source # |
Instance details Defined in Data.Interned.Internal.ByteString Methods fromString :: String -> InternedByteString Source #
Show InternedByteString Source # |
Instance details Defined in Data.Interned.Internal.ByteString Methods showsPrec :: Int -> InternedByteString -> ShowS Source # show :: InternedByteString -> String Source # showList :: [InternedByteString] -> ShowS Source #
Eq InternedByteString Source # |
Instance details Defined in Data.Interned.Internal.ByteString Methods (==) :: InternedByteString -> InternedByteString -> Bool Source # (/=) :: InternedByteString -> InternedByteString -> Bool Source #
Ord InternedByteString Source # |

Instance details

Defined in Data.Interned.Internal.ByteString

Methods

compare :: InternedByteString -> InternedByteString -> Ordering Source #

(<) :: InternedByteString -> InternedByteString -> Bool Source #

(<=) :: InternedByteString -> InternedByteString -> Bool Source #

(>) :: InternedByteString -> InternedByteString -> Bool Source #

(>=) :: InternedByteString -> InternedByteString -> Bool Source #

max :: InternedByteString -> InternedByteString -> InternedByteString Source #

min :: InternedByteString -> InternedByteString -> InternedByteString Source #

Hashable InternedByteString Source # |
Instance details Defined in Data.Interned.Internal.ByteString Methods hashWithSalt :: Int -> InternedByteString -> Int Source # hash :: InternedByteString -> Int Source #
Interned InternedByteString Source # |

Instance details

Defined in Data.Interned.Internal.ByteString

Associated Types

data Description InternedByteString Source #

type Uninterned InternedByteString Source #

Methods

describe :: Uninterned InternedByteString -> Description InternedByteString Source #

identify :: Id -> Uninterned InternedByteString -> InternedByteString Source #

seedIdentity :: p InternedByteString -> Id Source #

cacheWidth :: p InternedByteString -> Int Source #

modifyAdvice :: IO InternedByteString -> IO InternedByteString Source #

cache :: Cache InternedByteString Source #

Uninternable InternedByteString Source # |
Instance details Defined in Data.Interned.Internal.ByteString Methods unintern :: InternedByteString -> Uninterned InternedByteString Source #
Eq (Description InternedByteString) Source # |
Instance details Defined in Data.Interned.Internal.ByteString Methods (==) :: Description InternedByteString -> Description InternedByteString -> Bool Source # (/=) :: Description InternedByteString -> Description InternedByteString -> Bool Source #
Hashable (Description InternedByteString) Source # |
Instance details Defined in Data.Interned.Internal.ByteString Methods hashWithSalt :: Int -> Description InternedByteString -> Int Source # hash :: Description InternedByteString -> Int Source #
newtype Description InternedByteString Source # |
Instance details Defined in Data.Interned.Internal.ByteString newtype Description InternedByteString = DBS ByteString
type Uninterned InternedByteString Source # |
Instance details Defined in Data.Interned.Internal.ByteString type Uninterned InternedByteString = ByteString